%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module emfield

Name:      drupal6-%{module}
Version:   2.7
Release:   1%{?dist}
Summary:   An engine for modules to integrate various 3rd party media content providers

Group:     Applications/Publishing
License:   GPLv2
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
#Requires:  drupal6(cck)
Requires:  drupal6-cck
# phpcompatinfo (computed from version 2.7)
Requires:  php-ereg
Requires:  php-libxml
Requires:  php-simplexml

Provides:  drupal6(emaudio)  = %{version}
Provides:  drupal6(embonus)  = %{version}
Provides:  drupal6(emfield)  = %{version}
Provides:  drupal6(emimage)  = %{version}
Provides:  drupal6(eminline) = %{version}
Provides:  drupal6(emthumb)  = %{version}
Provides:  drupal6(emvideo)  = %{version}
Provides:  drupal6(emwave)   = %{version}

%description
This extensible module will create fields for content types that can be used to
display video, image, and audio files from various third party providers. When
entering the content, the user will simply paste the URL or embed code from the
third party, and the module will automatically determine which content provider
is being used. When displaying the content, the proper embedding format will be
used.

The module is only an engine, and requires a supported module to function. These
include 'Embedded Image Field', 'Embedded Video Field' and 'Embedded Audio
Field'. These modules are included in the contrib folder of the module, so they
can be easily activated from the module administration page.

Please note: As of emfield 2.x, provider files for these modules are no longer
included with the main emfield module, and must be downloaded separately.

This package provides the following Drupal modules:
* emaudio
* embonus
* emfield
* emimage
* eminline
* emthumb
* emvideo
* emwave


%prep
%setup -qn %{module}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/
for SUB_MODULE in emaudio embonus emimage emimport eminline emthumb emvideo emwave image_ncck video_cck
do
    mkdir -p .rpm/docs/contrib/${SUB_MODULE}
    mv contrib/${SUB_MODULE}/*.txt .rpm/docs/contrib/${SUB_MODULE}/
done


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal6_modules}/%{module}


%changelog
* Wed Mar 09 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.7-1
- Updated to 2.7 (RHBZ #1306475)
- Removed RPM README b/c it only explained common Drupal workflow
- Adjusted licenses and docs

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.6-2
- Added virtual provides
- Re-added EPEL 5 specifics

* Fri Mar 22 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.6-1
- Updated to 2.6
- Spec cleanup

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 5 2012 Anderson Silva <ansilva@redhat.com> - 2.5-3
- Update LICENSE.txt with correct FSF address
- Update description
- Add drupal6-cck dependency

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 2.5-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 2.5-1
- Initial rpm package
